#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: nepomuk-widgets
Summary: The Library containing the Nepomuk Widgets
Version: 4.10.2
Release: %mkrel %{rel}
License: LGPLv2
Group: System/Libraries
URL: https://projects.kde.org/projects/kde/kdelibs/nepomuk-widgets
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%name-%{version}.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version} 
BuildRequires: nepomuk-core-devel >= %{version}
BuildRequires: pkgconfig(soprano) >= 2.7.56

#Branch patchs


%description
This package provides the Library containing the Nepomuk Widgets.

#-------------------------------------------------------------------------------

%define nepomukwidget_major 4
%define libnepomukwidgets %mklibname nepomukwidget %{nepomukwidget_major}

%package -n %{libnepomukwidgets}
Summary: The Library containing the Nepomuk Widgets
%description -n %{libnepomukwidgets}

This package provide the Library containing the Nepomuk Widgets.

%files -n %{libnepomukwidgets}
%{_kde_libdir}/libnepomukwidgets.so.%{nepomukwidget_major}*

#------------------------------------------------------------------------------

%package devel
Group: Development/KDE and Qt
Summary: Header files and documentation for compiling KDE applications
Requires: %{libnepomukwidgets} = %version-%release

%description devel
This package includes the header files you will need to compile applications
for KDE.

%files devel
%{_kde_includedir}/nepomuk2/*.h
%{_kde_libdir}/cmake/NepomukWidgets/
%{_kde_libdir}/libnepomukwidgets.so

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407145
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401944
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394330
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339298
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334480
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Tue Dec 04 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326622
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Thu Nov 22 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320521
- SILENBT: fix typo
- Add missing requires on -devel package
- Fix typo (epoch added on package creation due to copy & past :p )
- imported package nepomuk-widgets

